App\Entity\Alert:
    type: entity
    table: alert
    id:
        id:
            type: integer
            nullable: false
            options:
                unsigned: false
            id: true
            generator:
                strategy: IDENTITY
    fields:
        code:
            type: integer
            nullable: false
            options:
                unsigned: false
        area:
            type: string
            nullable: false
            length: 255
            options:
                fixed: false
        name:
            type: string
            nullable: false
            length: 50
            options:
                fixed: false
        title:
            type: string
            nullable: false
            length: 50
            options:
                fixed: false
        description:
            type: string
            nullable: false
            length: 1024
            options:
                fixed: false
        modalType:
            type: integer
            nullable: false
            options:
                unsigned: false
            column: modal_type
        btn1:
            type: integer
            nullable: false
            options:
                unsigned: false
        btn2:
            type: integer
            nullable: false
            options:
                unsigned: false
        modalStruct:
            type: string
            nullable: false
            length: 1024
            options:
                fixed: false
            column: modal_struct
    lifecycleCallbacks: {  }
